Bug 101029 - [PATCH] bsd.port.mk: add bsd.ocaml.mk to support OCaml packages
[PATCH] bsd.port.mk: add bsd.ocaml.mk to support OCaml packages
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 20:20 UTC by ssedov
Modified: 2007-03-14 04:20 UTC (History)
0 users

See Also:


Attachments
mk1.diff (4.96 KB, patch)
2006-07-29 20:20 UTC, ssedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ssedov 2006-07-29 20:20:29 UTC
	We have a lot of OCaml ports that provides additional language
	packages for OCaml language. Installing of such pacakge requites
	a lot of steps, e.g. running ocamlfind utility on install/deinstall
	with correct enviropment, updating OCaml-specific ld.conf on
	install/deinstall and other. As result ports become a bit complex
	and very large. You can see working examples in devel/ocaml-equeue,
	devel/ocaml-sem etc. This ports do similar work "by-hand" via
	pmake constructs and pkg-install script.

	This include simplifies creation on such ports. For example, the
	port for ocaml-xstr might look like this (this port isn't in
	ports collection yet):
	PORTNAME=       xstr
	PORTVERSION=    0.2.1
	CATEGORIES=     devel
	MASTER_SITES=   http://www.ocaml-programming.de/packages/
	PKGNAMEPREFIX=  ocaml-

	MAINTAINER=     ssedov@mbsd.msk.ru
	COMMENT=        Thread-safe implementation of string searching/matching

	WRKSRC=         ${WRKDIR}/${PORTNAME}
	USE_GMAKE=      yes
	USE_OCAML=      yes
	USE_OCAML_FINDLIB=      yes
	USE_OCAML_LDCONFIG=     yes

	.include <bsd.port.mk>

	Simple, isn't it? Compare with ocaml-sem - it does the same steps.

	The include doesn't interfere with ports available, and sufficient
	for ocaml-* ports needs (hopely).
Comment 1 itetcu freebsd_committer 2006-07-29 20:58:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Improve Synopsis and assign.
Comment 2 kris freebsd_committer 2006-11-19 21:05:41 UTC
State Changed
From-To: open->feedback

Can you please also submit the patch converting all existing ports to use it?
Comment 3 Stanislav Sedov freebsd_committer 2007-01-02 22:59:51 UTC
These ports already uses it:

archivers/ocaml-zip/Makefile
devel/aifad/Makefile
devel/ocaml-annexlib/Makefile
devel/ocaml-camljava/Makefile
devel/ocaml-camomile/Makefile
devel/ocaml-cfg/Makefile
devel/ocaml-lacaml/Makefile
devel/ocaml-pcre/Makefile
devel/ocaml-pomap/Makefile
devel/ocaml-res/Makefile
devel/ocaml-sdl/Makefile
devel/ocaml-sexplib/Makefile
devel/ocaml-xstr/Makefile
devel/ocaml-xstrp4/Makefile
devel/omake/Makefile
graphics/ocaml-lablgl/Makefile
lang/imp-interpreter/Makefile
lang/ocaml-camlidl/Makefile
net/ocaml-netclient/Makefile
print/advi/Makefile
security/ocaml-cryptgps/Makefile
x11-toolkits/ocaml-lablgtk/Makefile
x11-toolkits/ocaml-lablgtk2/Makefile

--
Stanislav Sedov
Against HTML mail and Flash
PGP: http://people.FreeBSD.org/~stas/stas.key.asc
Comment 4 pav freebsd_committer 2007-02-05 23:11:22 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 5 dfilter freebsd_committer 2007-03-14 04:05:35 UTC
linimon     2007-03-14 04:05:25 UTC

  FreeBSD ports repository

  Added files:
    Mk                   bsd.ocaml.mk 
  Log:
  Add bsd.ocaml.mk to support OCaml packages.
  
  PR:             ports/101029
  Submitted by:   Stanislav Sedov <ssedov at mbsd dot msk dot ru>
  
  Revision  Changes    Path
  1.1       +195 -0    ports/Mk/bsd.ocaml.mk (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2007-03-14 04:06:59 UTC
linimon     2007-03-14 04:06:55 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
  Log:
  * Add bsd.ocaml.mk to support OCaml packages [1]
  
  * Move x11-wm/xfce4/bsd.xfce.mk to Mk/ [2]
  
  * Refactoring of FETCH_CMD to allow parameters to be overridden
    separately from commands [3]
  
  PR:     101029 [1], 108862 [2], 109966 [3]
  
  Submitted by:   Stanislav Sedov <ssedov at mbsd dot msk dot ru> [1],
                  oliver [2], edwin [3], linimon [3]
  
  Note: this patch also adds 108738 and 108739 which the previous commit
  claimed were committed, but were not.  These are comment-only changes.
  
  Revision  Changes    Path
  1.556     +44 -14    ports/Mk/bsd.port.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2007-03-14 04:12:37 UTC
linimon     2007-03-14 04:12:32 UTC

  FreeBSD ports repository

  Modified files:
    archivers/ocaml-zip  Makefile 
    audio/thunar-media-tags-plugin Makefile 
    audio/xfce4-mixer    Makefile 
    audio/xfce4-mpc-plugin Makefile 
    deskutils/orage      Makefile 
    deskutils/xfce4-notes-plugin Makefile 
    deskutils/xfce4-xkb-plugin Makefile 
    devel/aifad          Makefile 
    devel/ocaml-annexlib Makefile 
    devel/ocaml-camljava Makefile 
    devel/ocaml-camomile Makefile 
    devel/ocaml-cfg      Makefile 
    devel/ocaml-lacaml   Makefile 
    devel/ocaml-pcre     Makefile 
    devel/ocaml-pomap    Makefile 
    devel/ocaml-res      Makefile 
    devel/ocaml-sdl      Makefile 
    devel/ocaml-sexplib  Makefile 
    devel/ocaml-xstr     Makefile 
    devel/ocaml-xstrp4   Makefile 
    devel/omake          Makefile 
    devel/xfce4-dev-tools Makefile 
    editors/mousepad     Makefile 
    graphics/ocaml-lablgl Makefile 
    lang/imp-interpreter Makefile 
    lang/ocaml-camlidl   Makefile 
    mail/xfce4-mailwatch-plugin Makefile 
    misc/xfce4-appfinder Makefile 
    misc/xfce4-weather-plugin Makefile 
    misc/xfce4-wm-themes Makefile 
    multimedia/xfce4-media Makefile 
    multimedia/xfce4-xmms-plugin Makefile 
    net/ocaml-netclient  Makefile 
    net-im/xfce4-messenger-plugin Makefile 
    print/advi           Makefile 
    print/xfce4-print    Makefile 
    security/ocaml-cryptgps Makefile 
    sysutils/thunar-volman-plugin Makefile 
    sysutils/xfce4-battery-plugin Makefile 
    sysutils/xfce4-cpugraph-plugin Makefile 
    sysutils/xfce4-fsguard-plugin Makefile 
    sysutils/xfce4-genmon-plugin Makefile 
    sysutils/xfce4-mcs-manager Makefile 
    sysutils/xfce4-mcs-plugins Makefile 
    sysutils/xfce4-minicmd-plugin Makefile 
    sysutils/xfce4-netload-plugin Makefile 
    sysutils/xfce4-systemload-plugin Makefile 
    sysutils/xfce4-utils Makefile 
    sysutils/xfce4-wavelan-plugin Makefile 
    textproc/xfce4-dict-plugin Makefile 
    www/xfce4-smartbookmark-plugin Makefile 
    x11/Terminal         Makefile 
    x11/libexo           Makefile 
    x11/libxfce4mcs      Makefile 
    x11/libxfce4util     Makefile 
    x11/xfce4-clipman-plugin Makefile 
    x11/xfce4-quicklauncher-plugin Makefile 
    x11/xfce4-screenshooter-plugin Makefile 
    x11/xfce4-taskmanager Makefile 
    x11/xfce4-xfapplet-plugin Makefile 
    x11-clocks/xfce4-datetime-plugin Makefile 
    x11-clocks/xfce4-timer-plugin Makefile 
    x11-fm/thunar        Makefile 
    x11-themes/gtk-xfce-engine Makefile 
    x11-themes/xfce4-icon-theme Makefile 
    x11-toolkits/libxfce4gui Makefile 
    x11-toolkits/ocaml-lablgtk Makefile 
    x11-toolkits/ocaml-lablgtk2 Makefile 
    x11-wm/xfce4-desktop Makefile 
    x11-wm/xfce4-panel   Makefile 
    x11-wm/xfce4-session Makefile 
    x11-wm/xfce4-wm      Makefile 
  Log:
  Switch to using new files Mk/bsd.ocaml.mk [1] and Mk/bsd.xfce.mk [2].
  
  PR:     101029 [1], 108862 [2]
  
  Submitted by:   Stanislav Sedov <ssedov at mbsd dot msk dot ru> [1], oliver [2]
  
  Revision  Changes    Path
  1.3       +0 -1      ports/archivers/ocaml-zip/Makefile
  1.2       +1 -3      ports/audio/thunar-media-tags-plugin/Makefile
  1.38      +1 -3      ports/audio/xfce4-mixer/Makefile
  1.3       +1 -3      ports/audio/xfce4-mpc-plugin/Makefile
  1.5       +0 -1      ports/deskutils/orage/Makefile
  1.19      +1 -3      ports/deskutils/xfce4-notes-plugin/Makefile
  1.14      +1 -3      ports/deskutils/xfce4-xkb-plugin/Makefile
  1.5       +0 -1      ports/devel/aifad/Makefile
  1.2       +0 -1      ports/devel/ocaml-annexlib/Makefile
  1.2       +0 -1      ports/devel/ocaml-camljava/Makefile
  1.15      +0 -1      ports/devel/ocaml-camomile/Makefile
  1.3       +0 -1      ports/devel/ocaml-cfg/Makefile
  1.5       +0 -1      ports/devel/ocaml-lacaml/Makefile
  1.26      +1 -3      ports/devel/ocaml-pcre/Makefile
  1.3       +0 -1      ports/devel/ocaml-pomap/Makefile
  1.3       +0 -1      ports/devel/ocaml-res/Makefile
  1.14      +0 -1      ports/devel/ocaml-sdl/Makefile
  1.2       +0 -1      ports/devel/ocaml-sexplib/Makefile
  1.2       +1 -3      ports/devel/ocaml-xstr/Makefile
  1.2       +0 -1      ports/devel/ocaml-xstrp4/Makefile
  1.3       +0 -1      ports/devel/omake/Makefile
  1.2       +1 -3      ports/devel/xfce4-dev-tools/Makefile
  1.3       +1 -3      ports/editors/mousepad/Makefile
  1.16      +0 -1      ports/graphics/ocaml-lablgl/Makefile
  1.3       +0 -1      ports/lang/imp-interpreter/Makefile
  1.3       +0 -1      ports/lang/ocaml-camlidl/Makefile
  1.3       +1 -3      ports/mail/xfce4-mailwatch-plugin/Makefile
  1.11      +1 -3      ports/misc/xfce4-appfinder/Makefile
  1.17      +1 -3      ports/misc/xfce4-weather-plugin/Makefile
  1.19      +1 -3      ports/misc/xfce4-wm-themes/Makefile
  1.23      +0 -1      ports/multimedia/xfce4-media/Makefile
  1.15      +0 -1      ports/multimedia/xfce4-xmms-plugin/Makefile
  1.3       +1 -3      ports/net-im/xfce4-messenger-plugin/Makefile
  1.3       +0 -1      ports/net/ocaml-netclient/Makefile
  1.2       +1 -3      ports/print/advi/Makefile
  1.44      +0 -1      ports/print/xfce4-print/Makefile
  1.2       +0 -1      ports/security/ocaml-cryptgps/Makefile
  1.2       +1 -3      ports/sysutils/thunar-volman-plugin/Makefile
  1.23      +1 -3      ports/sysutils/xfce4-battery-plugin/Makefile
  1.21      +1 -3      ports/sysutils/xfce4-cpugraph-plugin/Makefile
  1.22      +1 -3      ports/sysutils/xfce4-fsguard-plugin/Makefile
  1.17      +1 -3      ports/sysutils/xfce4-genmon-plugin/Makefile
  1.28      +1 -3      ports/sysutils/xfce4-mcs-manager/Makefile
  1.37      +1 -3      ports/sysutils/xfce4-mcs-plugins/Makefile
  1.11      +1 -3      ports/sysutils/xfce4-minicmd-plugin/Makefile
  1.20      +1 -3      ports/sysutils/xfce4-netload-plugin/Makefile
  1.21      +1 -3      ports/sysutils/xfce4-systemload-plugin/Makefile
  1.35      +0 -1      ports/sysutils/xfce4-utils/Makefile
  1.17      +1 -3      ports/sysutils/xfce4-wavelan-plugin/Makefile
  1.2       +1 -3      ports/textproc/xfce4-dict-plugin/Makefile
  1.2       +1 -3      ports/www/xfce4-smartbookmark-plugin/Makefile
  1.22      +1 -3      ports/x11-clocks/xfce4-datetime-plugin/Makefile
  1.2       +1 -3      ports/x11-clocks/xfce4-timer-plugin/Makefile
  1.9       +0 -2      ports/x11-fm/thunar/Makefile
  1.39      +1 -3      ports/x11-themes/gtk-xfce-engine/Makefile
  1.10      +1 -3      ports/x11-themes/xfce4-icon-theme/Makefile
  1.36      +0 -1      ports/x11-toolkits/libxfce4gui/Makefile
  1.14      +0 -1      ports/x11-toolkits/ocaml-lablgtk/Makefile
  1.14      +0 -1      ports/x11-toolkits/ocaml-lablgtk2/Makefile
  1.40      +5 -2      ports/x11-wm/xfce4-desktop/Makefile
  1.39      +0 -1      ports/x11-wm/xfce4-panel/Makefile
  1.30      +1 -3      ports/x11-wm/xfce4-session/Makefile
  1.38      +0 -1      ports/x11-wm/xfce4-wm/Makefile
  1.11      +0 -1      ports/x11/Terminal/Makefile
  1.20      +0 -1      ports/x11/libexo/Makefile
  1.31      +0 -1      ports/x11/libxfce4mcs/Makefile
  1.31      +1 -3      ports/x11/libxfce4util/Makefile
  1.24      +1 -3      ports/x11/xfce4-clipman-plugin/Makefile
  1.3       +1 -3      ports/x11/xfce4-quicklauncher-plugin/Makefile
  1.4       +1 -3      ports/x11/xfce4-screenshooter-plugin/Makefile
  1.7       +2 -4      ports/x11/xfce4-taskmanager/Makefile
  1.4       +1 -3      ports/x11/xfce4-xfapplet-plugin/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Mark Linimon freebsd_committer 2007-03-14 04:14:31 UTC
State Changed
From-To: open->closed

Committed, thanks.